summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-p2p/bittorrent/files/bittorrent-tracker.initd')
-rw-r--r--net-p2p/bittorrent/files/bittorrent-tracker.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/net-p2p/bittorrent/files/bittorrent-tracker.initd b/net-p2p/bittorrent/files/bittorrent-tracker.initd
new file mode 100644
index 000000000000..5f19dce83586
--- /dev/null
+++ b/net-p2p/bittorrent/files/bittorrent-tracker.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-p2p/bittorrent/files/bittorrent-tracker.initd,v 1.1 2005/12/18 20:08:06 mkay Exp $
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting bttrack"
+ start-stop-daemon --start --quiet --background --make-pidfile \
+ --pidfile /var/run/bttrack.pid \
+ --exec /usr/bin/bittorrent-tracker -- --port ${PORT} \
+ --dfile ${DFILE} --favicon ${FAVICON} --logfile ${LOGFILE}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping bttrack"
+ start-stop-daemon --stop --quiet --pidfile /var/run/bttrack.pid
+ eend $?
+}